org.apache.commons.io.output

## Class NullOutputStream

- java.lang.Object
- - java.io.OutputStream
  - - org.apache.commons.io.output.NullOutputStream

- All Implemented Interfaces:
    Closeable, Flushable, AutoCloseable

      public class NullOutputStream
      extends OutputStream

  Never writes data. Calls never go beyond this class.

  This output stream has no destination and all bytes written to it are ignored.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static NullOutputStream` | `INSTANCE` The singleton instance.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `write(byte[] b)` Does nothing.
    `void` | `write(byte[] b, int off, int len)` Does nothing.
    `void` | `write(int b)` Does nothing.

    - ### Methods inherited from class java.io.OutputStream

      `close, flush`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### INSTANCE

          public static final NullOutputStream INSTANCE

      The singleton instance.

  - ### Method Detail

    - #### write

          public void write(byte[] b)
                     throws IOException

      Does nothing.
      Overrides:
        `write` in class `OutputStream`
      Parameters:
        `b` - The This method ignores this parameter.
      Throws:
        `IOException` - This method never throws any exceptions.

    - #### write

          public void write(byte[] b,
                            int off,
                            int len)

      Does nothing.
      Overrides:
        `write` in class `OutputStream`
      Parameters:
        `b` - This method ignores this parameter.
        `off` - This method ignores this parameter.
        `len` - This method ignores this parameter.

    - #### write

          public void write(int b)

      Does nothing.
      Specified by:
        `write` in class `OutputStream`
      Parameters:
        `b` - This method ignores this parameter.